## qt4-x11 4.8.4+dfsg

=== debian/changelog ===
qt4-x11 (4:4.8.4+dfsg-0ubuntu9) raring; urgency=low

  * Fix moc tripping over BOOST_JOIN. (LP: #1119656)

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Wed, 27 Mar 2013 00:02:12 +0000

qt4-x11 (4:4.8.4+dfsg-0ubuntu8) raring; urgency=low

  [ Harald Sitter ]
  * Drop kdeqt.pot creation. Not used anymore (fixes build with new
    pkg-kde-tools)

  [ Dmitry Shachnev ]
  * debian/patches/kubuntu_41_remove_gtk_theme_check.diff:
    do not check that Gtk theme is not empty (LP: #1094360).

 -- Harald Sitter <apachelogger@kubuntu.org>  Mon, 18 Mar 2013 11:10:45 +0100

qt4-x11 (4:4.8.4+dfsg-0ubuntu7) raring; urgency=low

  * Fix header file, causing build failure with GCC 4.8.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 26 Feb 2013 11:00:45 +0100

qt4-x11 (4:4.8.4+dfsg-0ubuntu6) raring; urgency=low

  * Cherry pick upstream commit 5b285845a3c3478a4008b7e3416c3912c69fd20b
    as QTBUG-29082_Fix_call_to_QMetaObject_metaCall_from_updateProperty.patch
    to fix a crash in QML to fix kde bug 311751.

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 19 Feb 2013 19:22:01 +0100

qt4-x11 (4:4.8.4+dfsg-0ubuntu5) raring; urgency=low

  * SECURITY UPDATE: incorrect errors with certificate verification
    - debian/patches/CVE-2012-6093.patch: use openssl access functions to
      properly handle layout changes in
      src/network/ssl/qsslsocket_openssl.cpp,
      src/network/ssl/qsslsocket_openssl_symbols.cpp,
      src/network/ssl/qsslsocket_openssl_symbols_p.h.
    - CVE-2012-6093
  * SECURITY UPDATE: shared memory segments incorrect permissions
    - debian/patches/CVE-2013-0254.patch: set appropriate permissions in
      src/corelib/kernel/qsharedmemory_unix.cpp,
      src/corelib/kernel/qsystemsemaphore_unix.cpp,
      src/gui/image/qnativeimage.cpp,
      src/gui/image/qpixmap_x11.cpp,
      src/plugins/platforms/xcb/qxcbwindowsurface.cpp,
      src/plugins/platforms/xlib/qxlibwindowsurface.cpp,
      tools/qvfb/qvfbshmem.cpp.
    - CVE-2013-0254

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 14 Feb 2013 12:40:48 -0500

qt4-x11 (4:4.8.4+dfsg-0ubuntu4) raring; urgency=low

  * debian/control:
    - change the build-dep order the way around to get previous packages
      depending on libqt4-dev still building. libqt4-dev dep on
      qt4-default | qt-default to ensure at least one version of qmake & co
      is targetted. qt{4,5}-default will provide qt-default.

 -- Didier Roche <didrocks@ubuntu.com>  Fri, 08 Feb 2013 13:21:39 +0100

qt4-x11 (4:4.8.4+dfsg-0ubuntu3) raring; urgency=low

  [ Harald Sitter]
  * Rename fix_medium_font.diff to kubuntu_39_fix_medium_font.diff to reflect
    its origin.
  * Apply kubuntu patches in numeric order.
  * Add more dep3 tags to kubuntu patches.

  [ Timo Jyrinki ]
  * Migrate to use qtchooser for Qt5 co-installation support
    - Libraries co-installed, executables managed by qtchooser
    - Packages will need build-dep on qt4-default to build against Qt4
    - Symlinks left for binaries that had -qt4 via alternatives
  * Clean alternatives on upgrade
  * Add qt4-default package

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Wed, 16 Jan 2013 07:58:47 +0000

qt4-x11 (4:4.8.4+dfsg-0ubuntu2) raring; urgency=low

  * Add kubuntu_40_disable_neon.patch disable neon for Ubuntu since armel
    is no longer supported.

 -- Tim Gardner <tim.gardner@canonical.com>  Sun, 13 Jan 2013 08:02:00 -0700

qt4-x11 (4:4.8.4+dfsg-0ubuntu1) raring; urgency=low

  * New upstream release
  * Remove QTBUG-14724_close_orphaned_file_descriptors_after_printing.patch
    now upstream
  * Remove disable-SSL-compression-by-default.patch now upstream

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 09 Jan 2013 12:27:22 +0000
