## qt4-x11 4.8.5%2Bgit192-g085f851%2Bdfsg

=== debian/rules ===
--- 
+++ 
@@ -14,6 +14,9 @@
 ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH), armel armhf))
 export CFLAGS := $(CFLAGS:-g=-gstabs)
 export CXXFLAGS := $(CXXFLAGS:-g=-gstabs)
+endif
+ifneq (,$(filter $(DEB_HOST_ARCH),arm64))
+export CXXFLAGS := -fpermissive $(CXXFLAGS)
 endif
 export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed
 # workaround to use lrelease.
@@ -61,23 +64,27 @@
 endif
 
 ifeq ($(vendor),Ubuntu)
-gles2_architectures := armhf
-ifeq ($(DEB_HOST_ARCH),armhf)
-	extra_configure_opts += -no-neon
-endif
+gles2_architectures := armel armhf
 else
 gles2_architectures := none_for_now
 endif
 ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH), $(gles2_architectures)))
-	extra_configure_opts += -opengl es2
+	extra_configure_opts += -opengl es2 \
+	                        -no-neon
 else
 	extra_configure_opts += -opengl desktop \
 	                        -no-egl
+endif
+
+ifneq (,$(filter $(DEB_HOST_ARCH),arm64))
+	extra_configure_opts += -no-javascript-jit
 endif
 
 ifeq ($(DEB_HOST_ARCH_OS),linux)
   ifneq (,$(filter $(DEB_HOST_ARCH),alpha ia64))
 	platform_arg = linux-g++
+  else ifneq (,$(filter $(DEB_HOST_ARCH),arm64))
+	platform_arg = linux-g++-aarch64
   else ifeq ($(DEB_HOST_ARCH_BITS),64)
 	platform_arg = linux-g++-64
   else
@@ -91,12 +98,13 @@
   endif
 endif
 
-ifneq ($(DEB_HOST_ARCH),ia64)
-	extra_dh_opts += --parallel
+no_pch_architectures := armhf powerpc
+ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH), $(no_pch_architectures)))
+	extra_configure_opts += -no-pch
 endif
 
 %:
-	dh $@ $(extra_dh_opts) --with pkgkde_symbolshelper
+	dh $@ --parallel --with pkgkde_symbolshelper
 
 override_dh_auto_configure:
 	# Test broken hppa kernel with glibc >= 2.5
@@ -231,17 +239,3 @@
 	  -o -name .pch \
 	  -o -name pkgconfig \
 	  -o -name .rcc \
-	  -o -name release-shared \
-	  -o -name release-static \
-	  -o -name .uic \
-	\) -print0 | xargs -0 rm -rf
-
-	# Leftover files and all symlinks
-	find \( -false \
-	  -o -name \*.a \
-	  -o -name Makefile.Debug \
-	  -o -name Makefile.Release \
-	  -o -name \*.o \
-	  -o -name \*.prl \
-	  -o -name \*.so \
-	  -o -name \*.so.debug \
