=== debian/control ===
Source: qt4-x11
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           Sune Vuorela <debian@pusling.com>,
           Pino Toscano <pino@debian.org>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Timo Jyrinki <timo@debian.org>
Build-Depends: debhelper (>= 9),
               dpkg-dev (>= 1.16.1),
               flex,
               freetds-dev,
               g++ (>= 4:4.5) [s390],
               g++-4.6 (>= 4.6.0-7~) [armel],
               libasound2-dev [linux-any],
               libaudio-dev,
               libcups2-dev,
               libdbus-1-dev,
               libfreetype6-dev,
               libgl1-mesa-dev [!armel !armhf],
               libgles2-mesa-dev [armel armhf],
               libglib2.0-dev,
               libglu1-mesa-dev [!armel !armhf],
               libgstreamer-plugins-base0.10-dev,
               libgstreamer0.10-dev,
               libgtk2.0-dev,
               libice-dev,
               libicu-dev,
               libjpeg-dev,
               libmng-dev,
               libmysqlclient-dev,
               libpam0g-dev,
               libpng-dev,
               libpq-dev,
               libreadline-dev,
               libsm-dev,
               libsqlite3-dev,
               libssl-dev,
               libtiff-dev,
               libx11-dev,
               libxcursor-dev,
               libxext-dev,
               libxft-dev,
               libxi-dev,
               libxinerama-dev,
               libxmu-dev,
               libxrandr-dev,
               libxrender-dev,
               libxslt1-dev,
               libxt-dev,
               libxtst-dev,
               libxv-dev,
               pkg-kde-tools (>= 0.14.2),
               rsync,
               unixodbc-dev,
               zlib1g-dev
Build-Conflicts: libqtwebkit-dev
Standards-Version: 3.9.4
Homepage: http://qt-project.org/
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/qt
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/qt

Package: libqtcore4
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: qtcore4-l10n, ${misc:Depends}, ${shlibs:Depends}
Suggests: libicu48, libthai0
Description: Qt 4 core module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtCore module contains core non-GUI functionality.

Package: qtcore4-l10n
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: libqtcore4 (<< 4:4.8.5+dfsg-1~)
Replaces: libqtcore4 (<< 4:4.8.5+dfsg-1~)
Description: Qt 4 core module translations
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the translations of the QtCore module.

Package: libqt4-core
Architecture: any
Section: oldlibs
Priority: extra
Depends: libqt4-dbus (= ${binary:Version}),
         libqt4-network (= ${binary:Version}),
         libqt4-script (= ${binary:Version}),
         libqt4-test (= ${binary:Version}),
         libqt4-xml (= ${binary:Version}),
         libqtcore4 (= ${binary:Version}),
         ${misc:Depends}
Description: transitional package for Qt 4 core non-GUI runtime libraries
 Qt is a cross-platform C++ application framework.  Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This is a dummy transitional package to enable installation of other packages
 linked against Qt 4.3 or earlier Qt 4 releases previously shipped.

Package: libqtgui4
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: fontconfig, ${misc:Depends}, ${shlibs:Depends}
Recommends: libcups2
Suggests: qt4-qtconfig
Description: Qt 4 GUI module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtGui module extends QtCore with GUI functionality.

Package: libqt4-gui
Architecture: any
Section: oldlibs
Priority: extra
Depends: libqt4-designer (= ${binary:Version}),
         libqt4-opengl (= ${binary:Version}),
         libqt4-svg (= ${binary:Version}),
         libqtgui4 (= ${binary:Version}),
         ${misc:Depends}
Description: transitional package for Qt 4 GUI runtime libraries
 Qt is a cross-platform C++ application framework.  Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This is a dummy transitional package depending on the Qt 4 GUI library
 packages which the package of the same name used to provide in Qt 4.3.4
 and earlier packages of Qt 4.

Package: libqt4-network
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: ca-certificates
Description: Qt 4 network module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtNetwork module offers classes that allow you to write TCP/IP clients and
 servers. It provides classes to make network programming easier and portable.

Package: libqt4-opengl
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 4 OpenGL module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtOpenGL module offers classes that make it easy to use OpenGL in Qt
 applications.
 .
 OpenGL is a standard API for rendering 3D graphics. OpenGL only deals with 3D
 rendering and provides little or no support for GUI programming issues.

Package: libqt4-script
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 4 script module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtScript module provides classes for making Qt applications scriptable.

Package: libqt4-scripttools
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 4 script tools module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtScriptTools module provides additional components for applications that
 use Qt Script.
 .
 This package contains the Qt Script debugger, a tool for debugging script
 execution in Qt applications that use Qt Script.

Package: libqt4-sql
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: libqt4-sql-mysql | libqt4-sql-odbc | libqt4-sql-psql | libqt4-sql-sqlite
Suggests: libqt4-dev
Description: Qt 4 SQL module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtSql module helps you provide seamless database integration to your Qt
 applications.
 .
 If you wish to use the SQL module for development, you should install the
 libqt4-dev package.

#Package: libqt4-sql-ibase
#Architecture: amd64 armel i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc s390 sh4 sparc
#Multi-Arch: same
#Pre-Depends: ${misc:Pre-Depends}
#Depends: ${misc:Depends}, ${shlibs:Depends}
#Suggests: libqt4-dev
#Description: Qt 4 InterBase/FireBird database driver
# This package contains the InterBase/FireBird plugin for Qt 4.
# .
# Install it if you intend to use or write Qt programs that are to access an
# InterBase/FireBird DB.

Package: libqt4-sql-mysql
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: libqt4-dev
Description: Qt 4 MySQL database driver
 This package contains the MySQL plugin for Qt 4.
 .
 Install it if you intend to use or write Qt programs that are to access a
 MySQL DB.

Package: libqt4-sql-odbc
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: libqt4-dev
Description: Qt 4 ODBC database driver
 This package contains the ODBC plugin for Qt 4.
 .
 Install it if you intend to use or write Qt programs that are to access an
 ODBC DB.

Package: libqt4-sql-psql
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: libqt4-dev
Description: Qt 4 PostgreSQL database driver
 This package contains the PostgreSQL plugin for Qt 4.
 .
 Install it if you intend to use or write Qt programs that are to access a
 PostgreSQL DB.

Package: libqt4-sql-sqlite
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: libqt4-dev
Description: Qt 4 SQLite 3 database driver
 This package contains the SQLite 3 plugin for Qt 4.
 .
 Install it if you intend to use or write Qt programs that are to access an
 SQLite 3 DB.

#Package: libqt4-sql-sqlite2
#Architecture: any
#Multi-Arch: same
#Pre-Depends: ${misc:Pre-Depends}
#Depends: ${misc:Depends}, ${shlibs:Depends}
#Suggests: libqt4-dev
#Description: Qt 4 SQLite 2 database driver
# This package contains the SQLite 2 plugin for Qt 4.
# .
# Install it if you intend to use or write Qt programs that are to access an
# SQLite 2 DB.

Package: libqt4-sql-tds
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: libqt4-dev
Description: Qt 4 FreeTDS database driver
 This package contains the FreeTDS plugin for Qt 4.
 .
 Install it if you intend to use or write Qt programs that are to access a
 MS SQL or Sybase SQL server.

Package: libqt4-svg
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 4 SVG module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtSvg module provides classes for displaying the contents of SVG files.
 .
 Scalable Vector Graphics (SVG) is a language for describing two-dimensional
 graphics and graphical applications in XML.

Package: libqt4-webkit
Architecture: any
Section: oldlibs
Priority: extra
Depends: libqtwebkit4 (>= 2.0~), ${misc:Depends}
Description: transitional package for Qt 4 WebKit module
 Qt is a cross-platform C++ application framework.  Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This is a dummy transitional package to enable installation of other packages
 linked against Qt WebKit 4.4 - 4.6 releases previously shipped from Qt source.

Package: libqt4-xml
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 4 XML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtXml module provides a stream reader and writer for XML documents,
 and C++ implementations of SAX and DOM.

Package: libqt4-xmlpatterns
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 4 XML patterns module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 QtXmlPatterns is a XQuery and XPath engine for XML and custom data models.

Package: libqt4-dbus
Architecture: any
Multi-Arch: same
Depends: libqtdbus4 (= ${binary:Version}),
