## qt4-x11 4.8.6%2Bgit64-g5dc8b2b%2Bdfsg

=== debian/rules ===
--- 
+++ 
@@ -9,15 +9,6 @@
 export PATH := $(QTDIR)/bin:$(PATH)
 export CFLAGS := $(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
 export CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
-# Use -gstabs instaed of -g on armel and armhf to make the link step complete
-# within buildd limitations
-ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH), armel armhf))
-export CFLAGS := $(CFLAGS:-g=-gstabs)
-export CXXFLAGS := $(CXXFLAGS:-g=-gstabs)
-endif
-ifneq (,$(filter $(DEB_HOST_ARCH),arm64))
-export CXXFLAGS := -fpermissive $(CXXFLAGS)
-endif
 export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed
 # workaround to use lrelease.
 export LD_LIBRARY_PATH := $(QTDIR)/lib:$(LD_LIBRARY_PATH)
@@ -69,22 +60,15 @@
 gles2_architectures := none_for_now
 endif
 ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH), $(gles2_architectures)))
-	extra_configure_opts += -opengl es2 \
-	                        -no-neon
+	extra_configure_opts += -opengl es2
 else
 	extra_configure_opts += -opengl desktop \
 	                        -no-egl
 endif
 
-ifneq (,$(filter $(DEB_HOST_ARCH),arm64))
-	extra_configure_opts += -no-javascript-jit
-endif
-
 ifeq ($(DEB_HOST_ARCH_OS),linux)
-  ifneq (,$(filter $(DEB_HOST_ARCH),alpha ia64))
+  ifneq (,$(filter $(DEB_HOST_ARCH),alpha arm64 ia64 mips64 mips64el))
 	platform_arg = linux-g++
-  else ifneq (,$(filter $(DEB_HOST_ARCH),arm64))
-	platform_arg = linux-g++-aarch64
   else ifeq ($(DEB_HOST_ARCH_BITS),64)
 	platform_arg = linux-g++-64
   else
@@ -98,7 +82,7 @@
   endif
 endif
 
-no_pch_architectures := armhf powerpc
+no_pch_architectures := arm64 armhf ia64 powerpc ppc64 ppc64el
 ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH), $(no_pch_architectures)))
 	extra_configure_opts += -no-pch
 endif
@@ -124,12 +108,12 @@
 
 	# Create mkspecs/glibc-g++ from mkspecs/linux-g++, needed by GNU/kFreeBSD
 	# we cannot use directly linux-g++ due to src/corelib/io/io.pri
-	rm -rf mkspecs/glibc-g++
+	rm -rfv mkspecs/glibc-g++
 	cp -a mkspecs/linux-g++ mkspecs/glibc-g++
 
 	# Remove include directory. Then ./configure will take care of calling
 	# syncqt and regenerating it.
-	rm -rf include
+	rm -rfv include
 
 	./configure -confirm-license \
 	            -prefix "/usr" \
@@ -155,7 +139,7 @@
 	            -xmlpatterns \
 	            -no-multimedia \
 	            -audio-backend \
-	            -no-phonon \
+	            -phonon \
 	            -no-phonon-backend \
 	            -svg \
 	            -no-webkit \
@@ -181,9 +165,6 @@
 	            -icu \
 	            $(extra_configure_opts)
 
-	# Kubuntu addition: set the version of QtWebkit but don't add it to QT_CONFIG
-	sed 's/^\s*QT_CONFIG.*//' src/3rdparty/webkit/Source/WebKit/qt/qt_webkit_version.pri > mkspecs/modules/qt_webkit_version.pri
-
 override_dh_auto_build:
 	dh_auto_build
 	# Build documentations
@@ -196,8 +177,6 @@
 	# Workaround: It's a known qmake limitation.
 	# It can't generate install rules for files that don't exist yet like docs.
 	./config.status
-	# Kubuntu addition: set the version of QtWebkit but don't add it to QT_CONFIG
-	sed 's/^\s*QT_CONFIG.*//' src/3rdparty/webkit/Source/WebKit/qt/qt_webkit_version.pri > mkspecs/modules/qt_webkit_version.pri
 
 override_dh_auto_clean:
 	[ ! -f Makefile ] || $(MAKE) confclean distclean
@@ -205,7 +184,7 @@
 	# Extra stuff missed by confclean/distclean
 
 	# Misc. files
-	rm -f \
+	rm -fv \
 	  config.status \
 	  config.tests/.qmake.cache \
 	  examples/dbus/*/Makefile.* \
@@ -214,7 +193,7 @@
 	;
 
 	# Misc. directories
-	rm -rf \
+	rm -rfv \
 	  doc-build/ \
 	  doc/html/ \
 	  doc/qch/ \
@@ -227,7 +206,7 @@
 	;
 
 	# hppa test directory
-	rm -rf debian/hppa-tmp
+	rm -rfv debian/hppa-tmp
 
 	# Leftover dirs
 	find -depth -type d \( -false \
@@ -239,3 +218,35 @@
 	  -o -name .pch \
 	  -o -name pkgconfig \
 	  -o -name .rcc \
+	  -o -name release-shared \
+	  -o -name release-static \
+	  -o -name .uic \
+	\) -print0 | xargs -0 rm -rfv
+
+	# Leftover files and all symlinks
+	find \( -false \
+	  -o -name \*.a \
+	  -o -name Makefile.Debug \
+	  -o -name Makefile.Release \
+	  -o -name \*.o \
+	  -o -name \*.prl \
+	  -o -name \*.so \
+	  -o -name \*.so.debug \
+	  -o -type l \
+	\) -print0 | xargs -0 rm -rfv
+
+	# Delete all Makefiles, excluding some from src/3rdparty
+	find $(CURDIR) -name Makefile \
+	  ! -path $(CURDIR)/src/3rdparty/Makefile \
+	  ! -path $(CURDIR)/src/3rdparty/freetype/\* \
+	  ! -path $(CURDIR)/src/3rdparty/zlib/\* \
+	  ! -path $(CURDIR)/src/3rdparty/ptmalloc/Makefile \
+	-print0 | xargs -0 rm -rfv
+
+	# Any remaining executables
+	find $(CURDIR) -type f -perm /u+x,g+x,o+x -exec file -i '{}' \; \
+	| grep -e application/x-executable \
+	| cut -d ':' -f 1 | xargs rm -fv
+
+	# Generated on build
+	rm -fv debian/shlibs.local
